// app.js
import login from './utils/login'
const app = getApp()

App({
  onLaunch() {
    // 展示本地存储能力
    const logs = wx.getStorageSync('logs') || []
    logs.unshift(Date.now())
    wx.setStorageSync('logs', logs)
    //获取设备顶部窗口的高度（不同设备窗口高度不一样，根据这个来设置自定义导航栏的高度
    wx.getSystemInfo({
      success: (res) => {
        this.globalData.height = res.statusBarHeight
        this.globalData.windowHeight = res.windowHeight
      }
    })
  },
  globalData: {
    // 微信用户基本信息
    userInfo: {},
    // 微信用户openid，sessionKey
    wxInfo: {},
    // 头部高度
    height: 0,
    // 手机页面高度
    windowHeight: 0,
    // 请求接口
    publicUrl: 'http://192.168.1.19:9901',
    // 图片请求接口
    fileUrl: "http://broadcast.waityou24.cn",
    // 站点标识
    tenant: "test",
  },
  // 微信openid回调
  toLogin: login.toLogin
})


